Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gui
Class MotorGrafico

    java.lang.Object
      gui.MotorGrafico

    public class MotorGrafico

extends java.lang.Object

Field Summary
`protected static int[][]` | `graficoBackup`
`protected static int` | `numeroCodificacionPiezas`
`protected static boolean` | `tableroDibujado`

Method Summary
`protected static void` | `actualizarGraficoBackup(int indiceColor, byte x, byte y)`
`static void` | `dibujar(java.awt.Graphics g, java.lang.Object objeto)`
`protected static void` | `dibujarCasilla(java.awt.Graphics g, Paleta paleta, int indiceColor, byte x, byte y)`
`static void` | `dibujarMatriz(java.awt.Graphics g, Paleta paleta, int[][] matriz, byte left, byte top, byte ancho, byte alto)`
`static void` | `dibujarPanel(java.awt.Graphics g, Juego juego)`
`static void` | `dibujarPieza(java.awt.Graphics g, Pieza pieza)`
`static void` | `dibujarTablero(java.awt.Graphics g, Tablero tablero)`
`protected static void` | `inicializarGraficoBackup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graficoBackup

    protected static int[][] graficoBackup

### tableroDibujado

    protected static boolean tableroDibujado

### numeroCodificacionPiezas

    protected static final int numeroCodificacionPiezas

Method Detail

### dibujar

    public static void dibujar(java.awt.Graphics g,
                               java.lang.Object objeto)

### dibujarPieza

    public static void dibujarPieza(java.awt.Graphics g,
                                    Pieza pieza)

### dibujarTablero

    public static void dibujarTablero(java.awt.Graphics g,
                                      Tablero tablero)

### dibujarPanel

    public static void dibujarPanel(java.awt.Graphics g,
                                    Juego juego)

### dibujarMatriz

    public static void dibujarMatriz(java.awt.Graphics g,
                                     Paleta paleta,
                                     int[][] matriz,
                                     byte left,
                                     byte top,
                                     byte ancho,
                                     byte alto)

### dibujarCasilla

    protected static void dibujarCasilla(java.awt.Graphics g,
                                         Paleta paleta,
                                         int indiceColor,
                                         byte x,
                                         byte y)

### actualizarGraficoBackup

    protected static void actualizarGraficoBackup(int indiceColor,
                                                  byte x,
                                                  byte y)

### inicializarGraficoBackup

    protected static void inicializarGraficoBackup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD